Add move to version history
Closed, ResolvedPublic

Description

To the version history, add two entries:

  • The file move (as a null revision) Edit summary"Moved to <URL/RevisionID + target wiki name info / what turns out to be best> with FileImporter" under the mover's name
  • (After the file move) changes during the move (only if any change has been made) Edit summary: The text that was entered on the specialpage
  • Related: T160182: Display original location in Commons

Change 344100 had a related patch set uploaded (by Addshore):
[mediawiki/extensions/FileImporter@master] HTTP based file copy implementation

https://gerrit.wikimedia.org/r/344100

Change 344100 adds a null revision on import

Addshore claimed this task.Mar 23 2017, 9:04 AM
Addshore added a project: User-Addshore.
Addshore moved this task from Backlog to In Progress on the User-Addshore board.
Addshore moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team-Board board.

Change 344100 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] HTTP based file copy implementation

https://gerrit.wikimedia.org/r/344100

With the above merged this task is now partially complete.
The null edit is done, but an edit on change is still required, however changing things is not yet implemented.

Addshore moved this task from In Progress to Next on the User-Addshore board.
Lea_WMDE updated the task description. (Show Details)Apr 5 2017, 3:35 PM

update: because of T160182: Display original location in Commons the first edit will not be a null revision anymore

Addshore removed Addshore as the assignee of this task.Aug 22 2017, 3:05 PM
Tobi_WMDE_SW updated the task description. (Show Details)Aug 22 2017, 3:15 PM
Addshore moved this task from Next to Backlog on the User-Addshore board.Aug 22 2017, 3:23 PM

I'm going to mark this as doing and assign to andrew and I think we can close this one we close T160182 and T160184

Change 376828 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Enable edit summary field when changes have been made

https://gerrit.wikimedia.org/r/376828

Change 376828 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Enable edit summary field when changes have been made

https://gerrit.wikimedia.org/r/376828

Tobi_WMDE_SW closed this task as Resolved.Tue, Oct 10, 9:27 AM